package JHS.ImageTextView;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends android.support.v7.app.AppCompatActivity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "JHS.ImageTextView", "JHS.ImageTextView.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "JHS.ImageTextView", "JHS.ImageTextView.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "JHS.ImageTextView.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public imageTextviewWrapper.imageTextviewWrapper _itv1 = null;
public imageTextviewWrapper.imageTextviewWrapper _itv2 = null;
public imageTextviewWrapper.imageTextviewWrapper _itv3 = null;
public imageTextviewWrapper.imageTextviewWrapper _itv4 = null;
public imageTextviewWrapper.imageTextviewWrapper _itv5 = null;
public imageTextviewWrapper.imageTextviewWrapper _itv6 = null;
public anywheresoftware.b4a.objects.drawable.BitmapDrawable _mbmd = null;
public anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _mbm = null;
public JHS.ImageTextView.starter _starter = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 44;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 46;BA.debugLine="Activity.LoadLayout(\"main\")";
mostCurrent._activity.LoadLayout("main",mostCurrent.activityBA);
 //BA.debugLineNum = 48;BA.debugLine="itv1.ImageTitle = \"Brooke Shields\"";
mostCurrent._itv1.setImageTitle("Brooke Shields");
 //BA.debugLineNum = 49;BA.debugLine="itv1.ImageSubTitle = \"Actress\"";
mostCurrent._itv1.setImageSubTitle("Actress");
 //BA.debugLineNum = 50;BA.debugLine="itv1.ImageTitleColor = Colors.Green";
mostCurrent._itv1.setImageTitleColor(anywheresoftware.b4a.keywords.Common.Colors.Green);
 //BA.debugLineNum = 51;BA.debugLine="itv1.ImageTitleTextSize = 20";
mostCurrent._itv1.setImageTitleTextSize((int) (20));
 //BA.debugLineNum = 52;BA.debugLine="itv1.ImageSubTitleColor = Colors.Yellow";
mostCurrent._itv1.setImageSubTitleColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
 //BA.debugLineNum = 53;BA.debugLine="itv1.ImageSubTitleTextSize = 15";
mostCurrent._itv1.setImageSubTitleTextSize((int) (15));
 //BA.debugLineNum = 54;BA.debugLine="mbm.Initialize(File.DirAssets,\"brooke.png\")";
mostCurrent._mbm.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"brooke.png");
 //BA.debugLineNum = 55;BA.debugLine="mbmd.Initialize(mbm)";
mostCurrent._mbmd.Initialize((android.graphics.Bitmap)(mostCurrent._mbm.getObject()));
 //BA.debugLineNum = 56;BA.debugLine="itv1.ImageDrawable = mbmd";
mostCurrent._itv1.setImageDrawable((android.graphics.drawable.Drawable)(mostCurrent._mbmd.getObject()));
 //BA.debugLineNum = 59;BA.debugLine="itv2.ImageTitle = \"Angelina Jolie\"";
mostCurrent._itv2.setImageTitle("Angelina Jolie");
 //BA.debugLineNum = 60;BA.debugLine="itv2.ImageSubTitle = \"Actress\"";
mostCurrent._itv2.setImageSubTitle("Actress");
 //BA.debugLineNum = 61;BA.debugLine="itv2.ImageTitleColor = Colors.Red";
mostCurrent._itv2.setImageTitleColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
 //BA.debugLineNum = 62;BA.debugLine="itv2.ImageTitleTextSize = 20";
mostCurrent._itv2.setImageTitleTextSize((int) (20));
 //BA.debugLineNum = 63;BA.debugLine="itv2.ImageSubTitleColor = Colors.Blue";
mostCurrent._itv2.setImageSubTitleColor(anywheresoftware.b4a.keywords.Common.Colors.Blue);
 //BA.debugLineNum = 64;BA.debugLine="itv2.ImageSubTitleTextSize = 15";
mostCurrent._itv2.setImageSubTitleTextSize((int) (15));
 //BA.debugLineNum = 65;BA.debugLine="mbm.Initialize(File.DirAssets,\"angelina.png\")";
mostCurrent._mbm.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"angelina.png");
 //BA.debugLineNum = 66;BA.debugLine="mbmd.Initialize(mbm)";
mostCurrent._mbmd.Initialize((android.graphics.Bitmap)(mostCurrent._mbm.getObject()));
 //BA.debugLineNum = 67;BA.debugLine="itv2.ImageDrawable = mbmd";
mostCurrent._itv2.setImageDrawable((android.graphics.drawable.Drawable)(mostCurrent._mbmd.getObject()));
 //BA.debugLineNum = 69;BA.debugLine="itv3.ImageTitle = \"Charlize Theron\"";
mostCurrent._itv3.setImageTitle("Charlize Theron");
 //BA.debugLineNum = 70;BA.debugLine="itv3.ImageSubTitle = \"Actress\"";
mostCurrent._itv3.setImageSubTitle("Actress");
 //BA.debugLineNum = 71;BA.debugLine="itv3.ImageTitleColor = Colors.Magenta";
mostCurrent._itv3.setImageTitleColor(anywheresoftware.b4a.keywords.Common.Colors.Magenta);
 //BA.debugLineNum = 72;BA.debugLine="itv3.ImageTitleTextSize = 20";
mostCurrent._itv3.setImageTitleTextSize((int) (20));
 //BA.debugLineNum = 73;BA.debugLine="itv3.ImageSubTitleColor = Colors.Cyan";
mostCurrent._itv3.setImageSubTitleColor(anywheresoftware.b4a.keywords.Common.Colors.Cyan);
 //BA.debugLineNum = 74;BA.debugLine="itv3.ImageSubTitleTextSize = 15";
mostCurrent._itv3.setImageSubTitleTextSize((int) (15));
 //BA.debugLineNum = 75;BA.debugLine="mbm.Initialize(File.DirAssets,\"charlize1.jpg\")";
mostCurrent._mbm.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"charlize1.jpg");
 //BA.debugLineNum = 76;BA.debugLine="mbmd.Initialize(mbm)";
mostCurrent._mbmd.Initialize((android.graphics.Bitmap)(mostCurrent._mbm.getObject()));
 //BA.debugLineNum = 77;BA.debugLine="itv3.ImageDrawable = mbmd";
mostCurrent._itv3.setImageDrawable((android.graphics.drawable.Drawable)(mostCurrent._mbmd.getObject()));
 //BA.debugLineNum = 79;BA.debugLine="itv4.ImageTitle = \"Unknown woman\"";
mostCurrent._itv4.setImageTitle("Unknown woman");
 //BA.debugLineNum = 80;BA.debugLine="itv4.ImageSubTitle = \"Sits at home all day long\"";
mostCurrent._itv4.setImageSubTitle("Sits at home all day long");
 //BA.debugLineNum = 81;BA.debugLine="itv4.ImageTitleColor = Colors.Magenta";
mostCurrent._itv4.setImageTitleColor(anywheresoftware.b4a.keywords.Common.Colors.Magenta);
 //BA.debugLineNum = 82;BA.debugLine="itv4.ImageTitleTextSize = 20";
mostCurrent._itv4.setImageTitleTextSize((int) (20));
 //BA.debugLineNum = 83;BA.debugLine="itv4.ImageSubTitleColor = Colors.Cyan";
mostCurrent._itv4.setImageSubTitleColor(anywheresoftware.b4a.keywords.Common.Colors.Cyan);
 //BA.debugLineNum = 84;BA.debugLine="itv4.ImageSubTitleTextSize = 15";
mostCurrent._itv4.setImageSubTitleTextSize((int) (15));
 //BA.debugLineNum = 85;BA.debugLine="mbm.Initialize(File.DirAssets,\"female.png\")";
mostCurrent._mbm.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"female.png");
 //BA.debugLineNum = 86;BA.debugLine="mbmd.Initialize(mbm)";
mostCurrent._mbmd.Initialize((android.graphics.Bitmap)(mostCurrent._mbm.getObject()));
 //BA.debugLineNum = 87;BA.debugLine="itv4.ImageDrawable = mbmd";
mostCurrent._itv4.setImageDrawable((android.graphics.drawable.Drawable)(mostCurrent._mbmd.getObject()));
 //BA.debugLineNum = 89;BA.debugLine="itv5.ImageTitle = \"Unknown man\"";
mostCurrent._itv5.setImageTitle("Unknown man");
 //BA.debugLineNum = 90;BA.debugLine="itv5.ImageSubTitle = \"Lazy as what you can get\"";
mostCurrent._itv5.setImageSubTitle("Lazy as what you can get");
 //BA.debugLineNum = 91;BA.debugLine="itv5.ImageTitleColor = Colors.Cyan";
mostCurrent._itv5.setImageTitleColor(anywheresoftware.b4a.keywords.Common.Colors.Cyan);
 //BA.debugLineNum = 92;BA.debugLine="itv5.ImageTitleTextSize = 20";
mostCurrent._itv5.setImageTitleTextSize((int) (20));
 //BA.debugLineNum = 93;BA.debugLine="itv5.ImageSubTitleColor = Colors.Magenta";
mostCurrent._itv5.setImageSubTitleColor(anywheresoftware.b4a.keywords.Common.Colors.Magenta);
 //BA.debugLineNum = 94;BA.debugLine="itv5.ImageSubTitleTextSize = 15";
mostCurrent._itv5.setImageSubTitleTextSize((int) (15));
 //BA.debugLineNum = 95;BA.debugLine="mbm.Initialize(File.DirAssets,\"male.png\")";
mostCurrent._mbm.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"male.png");
 //BA.debugLineNum = 96;BA.debugLine="mbmd.Initialize(mbm)";
mostCurrent._mbmd.Initialize((android.graphics.Bitmap)(mostCurrent._mbm.getObject()));
 //BA.debugLineNum = 97;BA.debugLine="itv5.ImageDrawable = mbmd";
mostCurrent._itv5.setImageDrawable((android.graphics.drawable.Drawable)(mostCurrent._mbmd.getObject()));
 //BA.debugLineNum = 99;BA.debugLine="itv6.ImageTitle = \"A cat...\"";
mostCurrent._itv6.setImageTitle("A cat...");
 //BA.debugLineNum = 100;BA.debugLine="itv6.ImageSubTitle = \"...but not my cat\"";
mostCurrent._itv6.setImageSubTitle("...but not my cat");
 //BA.debugLineNum = 101;BA.debugLine="itv6.ImageTitleColor = Colors.White";
mostCurrent._itv6.setImageTitleColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 102;BA.debugLine="itv6.ImageTitleTextSize = 20";
mostCurrent._itv6.setImageTitleTextSize((int) (20));
 //BA.debugLineNum = 103;BA.debugLine="itv6.ImageSubTitleColor = Colors.LightGray";
mostCurrent._itv6.setImageSubTitleColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
 //BA.debugLineNum = 104;BA.debugLine="itv6.ImageSubTitleTextSize = 15";
mostCurrent._itv6.setImageSubTitleTextSize((int) (15));
 //BA.debugLineNum = 105;BA.debugLine="mbm.Initialize(File.DirAssets,\"cat.png\")";
mostCurrent._mbm.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"cat.png");
 //BA.debugLineNum = 106;BA.debugLine="mbmd.Initialize(mbm)";
mostCurrent._mbmd.Initialize((android.graphics.Bitmap)(mostCurrent._mbm.getObject()));
 //BA.debugLineNum = 107;BA.debugLine="itv6.ImageDrawable = mbmd";
mostCurrent._itv6.setImageDrawable((android.graphics.drawable.Drawable)(mostCurrent._mbmd.getObject()));
 //BA.debugLineNum = 111;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 117;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 119;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 113;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 115;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 34;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 38;BA.debugLine="Private itv1, itv2, itv3, itv4, itv5, itv6 As Ima";
mostCurrent._itv1 = new imageTextviewWrapper.imageTextviewWrapper();
mostCurrent._itv2 = new imageTextviewWrapper.imageTextviewWrapper();
mostCurrent._itv3 = new imageTextviewWrapper.imageTextviewWrapper();
mostCurrent._itv4 = new imageTextviewWrapper.imageTextviewWrapper();
mostCurrent._itv5 = new imageTextviewWrapper.imageTextviewWrapper();
mostCurrent._itv6 = new imageTextviewWrapper.imageTextviewWrapper();
 //BA.debugLineNum = 39;BA.debugLine="Dim mbmd As BitmapDrawable";
mostCurrent._mbmd = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
 //BA.debugLineNum = 40;BA.debugLine="Dim mbm As Bitmap";
mostCurrent._mbm = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 42;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
starter._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 28;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 32;BA.debugLine="End Sub";
return "";
}
}
